အဖွဲ့များ

GET https://tistos.com/api/teams/
curl --request GET \
--url 'https://tistos.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
အချက်အလက်များ အသေးစိတ်များ ဖော်ပြချက်
search ရွေးချယ်နိုင်သည် စကားလုံး ရှာဖွေရန် စာသား။
search_by ရွေးချယ်နိုင်သည် စကားလုံး သင်ရှာဖွေနေသောနယ်ပယ်ကဘာလဲ။ ခွင့်ပြုထားသောတန်ဖိုးများမှာ: name
datetime_field ရွေးချယ်နိုင်သည် စကားလုံး ခွင့်ပြုထားသောတန်ဖိုးများ: datetime, last_datetime
datetime_start ရွေးချယ်နိုင်သည် စကားလုံး ဤရက်စွဲနှင့် အချိန်မှစ၍ ရလဒ်များကို filter လုပ်ပါ။ Format Y-m-d H:i:s
datetime_end ရွေးချယ်နိုင်သည် စကားလုံး ဤရက်စွဲနှင့် အချိန်အထိ ရလဒ်များကို filter လုပ်ပါ။ Format Y-m-d H:i:s
order_by ရွေးချယ်နိုင်သည် စကားလုံး ရလဒ်များကို ဘယ်နယ်ပယ်အရ အစီအစဉ်ချမလဲ။ ခွင့်ပြုထားသော တန်ဖိုးများမှာ: team_id, datetime, last_datetime, name
order_type ရွေးချယ်နိုင်သည် စကားလုံး ရလဒ်များ၏ အစီအစဉ်။ ခွင့်ပြုထားသော တန်ဖိုးများမှာ ASC သည် အမြင့်ဆုံးမှ အနိမ့်ဆုံး အစီအစဉ်အတွက် ဖြစ်ပြီး DESC သည် အနိမ့်ဆုံးမှ အမြင့်ဆုံး အစီအစဉ်အတွက် ဖြစ်သည်။
page ရွေးချယ်နိုင်သည် အင်တာဂျာ သင်လိုအပ်သောရလဒ်များကိုရယူလိုသောစာမျက်နှာနံပါတ်။ အခြေခံအားဖြင့် 1 ဖြစ်သည်။
results_per_page ရွေးချယ်နိုင်သည် အင်တာဂျာ သင်သည် စာမျက်နှာတစ်ခုလျှင် ရလဒ်များ များစွာကို မည်မျှလိုချင်ပါသလဲ။ ခွင့်ပြုထားသော တန်ဖိုးများမှာ: 10, 25, 50, 100, 250, 500, 1000။ အခြေခံအားဖြင့် 25 ဖြစ်သည်။
{
    "data": [
        {
            "id": 1,
            "name": "Example team",
            "team_members": [
                {
                    "team_member_id": 1,
                    "user_email": "[email protected]",
                    "access": {
                        "read": true,
                        "create": true,
                        "update": true,
                        "delete": false
                    },
                    "status": 1,
                    "datetime": "2026-07-18 15:22:21",
                    "last_datetime": null
                }
            ],
            "last_datetime": null,
            "datetime": "2026-07-18 15:22:21",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://tistos.com/api/teams?page=1",
        "last": "https://tistos.com/api/teams?page=1",
        "next": null,
        "prev": null,
        "self": "https://tistos.com/api/teams?page=1"
    }
}
GET https://tistos.com/api/teams/{team_id}
curl --request GET \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "name": "Example team",
        "team_members": [
            {
                "team_member_id": 1,
                "user_email": "[email protected]",
                "access": {
                    "read": true,
                    "create": true,
                    "update": true,
                    "delete": false
                },
                "status": 1,
                "datetime": "2026-07-18 15:22:21",
                "last_datetime": null
            }
        ],
        "last_datetime": null,
        "datetime": "2026-07-18 15:22:21",
    }
}
POST https://tistos.com/api/teams
အချက်အလက်များ အသေးစိတ်များ ဖော်ပြချက်
name လိုအပ်သည် စကားလုံး -
curl --request POST \
--url 'https://tistos.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
{
    "data": {
        "id": 1
    }
}
POST https://tistos.com/api/teams/{team_id}
အချက်အလက်များ အသေးစိတ်များ ဖော်ပြချက်
name ရွေးချယ်နိုင်သည် စကားလုံး -
curl --request POST \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
{
    "data": {
        "id": 1
    }
}
DELETE https://tistos.com/api/teams/{team_id}
curl --request DELETE \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \